Skip to main content
POST

Authorizations

Authorization
string
header
required

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id
integer
required

The numeric ID of the account

Body

application/json
name
string

The name of the inbox.

Example:

"Support"

avatar
file

Image file for avatar.

greeting_enabled
boolean

Enable greeting message.

Example:

true

greeting_message
string

Greeting message to send when greeting messages are enabled.

Example:

"Hello, how can I help you?"

enable_email_collect
boolean

Enable email collection.

Available for: Website

Example:

true

csat_survey_enabled
boolean

Enable CSAT survey.

Example:

true

csat_config
object

CSAT survey configuration.

enable_auto_assignment
boolean

Enable Auto Assignment.

Example:

true

working_hours_enabled
boolean

Enable working hours.

Example:

true

out_of_office_message
string

Out of office message to send outside working hours.

Example:

"We are currently out of office. Please leave a message and we will get back to you."

timezone
string

Timezone of the inbox.

Example:

"America/New_York"

allow_messages_after_resolved
boolean

Allow messages after conversation is resolved.

Available for: Website

Example:

true

lock_to_single_conversation
boolean

Lock contact messages to a single active conversation.

Available for: API LINE Telegram WhatsApp SMS

Example:

true

portal_id
integer

Id of the help center portal to attach to the inbox.

Example:

1

sender_name_type
enum<string>

Sender name type for outbound email replies.

Available for: Website Email

Available options:
friendly,
professional
Example:

"friendly"

business_name
string

Business name for outbound email replies.

Available for: Website Email

Example:

"My Business"

channel
Website channel · object

Response

Success

id
number

ID of the inbox

name
string

The name of the inbox

website_url
string | null

Website URL

page_id
string | null

Facebook Page ID associated with the inbox

instagram_id
string | null

Instagram account ID associated with the inbox

business_id
string | null

TikTok business ID associated with the inbox

provider_name
string | null

Provider username or page name associated with the social inbox

profile_id
string | null

X profile ID associated with the inbox

line_channel_id
string | null

LINE channel ID associated with the inbox

email
string | null

Email address associated with the inbox

bot_name
string | null

Telegram bot name associated with the inbox

inbox_identifier
string | null

Public identifier associated with an API inbox

channel_type
string

The type of the inbox

avatar_url
string

The avatar image of the inbox

widget_color
string | null

Widget Color used for customization of the widget

website_token
string | null

Website Token

enable_auto_assignment
boolean

The flag which shows whether Auto Assignment is enabled or not

web_widget_script
string | null

Script used to load the website widget

welcome_title
string | null

Welcome title to be displayed on the widget

welcome_tagline
string | null

Welcome tagline to be displayed on the widget

greeting_enabled
boolean

The flag which shows whether greeting is enabled

greeting_message
string | null

A greeting message when the user starts the conversation

channel_id
number

ID of the channel this inbox belongs to

working_hours_enabled
boolean

The flag which shows whether working hours feature is enabled

enable_email_collect
boolean

The flag to enable collecting email from contacts

csat_survey_enabled
boolean

The flag to enable CSAT survey

auto_assignment_config
object

Configuration settings for auto assignment

out_of_office_message
string | null

Message to show when agents are out of office

working_hours
object[]

Configuration for working hours of the inbox

timezone
string

Timezone configuration for the inbox

callback_webhook_url
string | null

Webhook URL for callbacks

allow_messages_after_resolved
boolean

Whether to allow messages after a conversation is resolved

lock_to_single_conversation
boolean

Whether to lock a contact to a single conversation

sender_name_type
string

Type of sender name to display (e.g., friendly)

business_name
string | null

Business name associated with the inbox

branded_email_layout
string | null

Liquid HTML layout for branded email replies. Available to administrators for Email inbox show/update responses.

hmac_mandatory
boolean | null

Whether HMAC verification is mandatory

selected_feature_flags
string[] | null

Selected feature flags for the inbox

reply_time
string | null

Expected reply time

messaging_service_sid
string | null

Messaging service SID for SMS providers

phone_number
string | null

Phone number associated with the inbox

medium
string

Medium of communication (e.g., sms, email)

provider
string | null

Provider of the channel